Bug 1971317 - [RFE][API] Import OVA template as a clone
Summary: [RFE][API] Import OVA template as a clone
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.4.7.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.4.8
: 4.4.8.3
Assignee: Liran Rotenberg
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks: 1937408
TreeView+ depends on / blocked
 
Reported: 2021-06-13 15:07 UTC by Liran Rotenberg
Modified: 2021-09-03 10:07 UTC (History)
4 users (show)

Fixed In Version: ovirt-engine-4.4.8.3
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-03 10:07:27 UTC
oVirt Team: Virt
ahadas: ovirt-4.4+
pm-rhel: planning_ack?
pm-rhel: devel_ack?
pm-rhel: testing_ack?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 115252 0 master MERGED rest-api: allow importing template as clone 2021-06-21 05:52:07 UTC
oVirt gerrit 115253 0 master MERGED backend+api: allow importing template clone by api 2021-08-05 09:38:21 UTC
oVirt gerrit 115427 0 None MERGED rest-api: bump clone import template version 2021-07-01 06:55:41 UTC

Description Liran Rotenberg 2021-06-13 15:07:56 UTC
In 4.4.7 we will be able to import templates from OVA using the API.
We should allow providing a clone flag to let the user the option to import it as a clone.

Comment 1 Nisim Simsolo 2021-08-24 08:19:07 UTC
Verified:
ovirt-engine-4.4.8.4-0.7.el8ev
vdsm-4.40.80.5-1.el8ev.x86_64
libvirt-daemon-7.0.0-14.3.module+el8.4.0+11878+84e54169.x86_64
qemu-kvm-5.2.0-16.module+el8.4.0+12191+622ad3bb.5.x86_64

Verification scenario:
Polarion test case added to RFE links.


Note You need to log in before you can comment on or make changes to this bug.